DataBolsa docs
Referência da APIDados de mercadoÍndices

Benchmarks de renda fixa (nível, retorno diário e duration)

Índices de renda fixa de referência do mercado (famílias IMA-B, IRF-M, IMA-S…), desde 2002. Sem filtros responde o snapshot do dia mais recente com todos os códigos; com `code`, a série histórica dele.

GET
/v1/indices/benchmarks
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 20000
code?string

Código do benchmark, ex.: IMA-B, IRF-M, IMA-S.

from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/indices/benchmarks?cursor=string&limit=100&code=string&from=string&to=string"
{
  "data": [
    {
      "date": "string",
      "index_code": "string",
      "index_value": 0,
      "daily_change_pct": 0,
      "duration_bd": 0,
      "portfolio_value_kbrl": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}